package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability587/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSkuCategoryDeleteRequest struct {
	/*
	   类目删除请求模型     */
	Param *domain.AlibabaWdkSkuCategoryDeleteCategoryDo `json:"param" required:"true" `
}

func (s *AlibabaWdkSkuCategoryDeleteRequest) SetParam(v domain.AlibabaWdkSkuCategoryDeleteCategoryDo) *AlibabaWdkSkuCategoryDeleteRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkSkuCategoryDeleteRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkSkuCategoryDeleteRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
